Package org.apache.storm.executor.bolt

# Class BoltOutputCollectorImpl

java.lang.Object
org.apache.storm.executor.bolt.BoltOutputCollectorImpl

All Implemented Interfaces:
  `IErrorReporter`, `IOutputCollector`

public class BoltOutputCollectorImpl extends Object implements IOutputCollector

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoltOutputCollectorImpl(BoltExecutor executor, Task taskData, Random random, boolean isEventLoggers, boolean ackingEnabled, boolean isDebug)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `ack(Tuple input)`
  `List<Integer>`
  `emit(String streamId, Collection<Tuple> anchors, List<Object> tuple)`
  Returns the task ids that received the tuples.
  `void`
  `emitDirect(int taskId, String streamId, Collection<Tuple> anchors, List<Object> tuple)`
  `void`
  `fail(Tuple input)`
  `void`
  `flush()`
  `void`
  `reportError(Throwable error)`
  `void`
  `resetTimeout(Tuple input)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BoltOutputCollectorImpl

    public BoltOutputCollectorImpl(BoltExecutor executor, Task taskData, Random random, boolean isEventLoggers, boolean ackingEnabled, boolean isDebug)

- ## Method Details

  - ### emit

    public List<Integer> emit(String streamId, Collection<Tuple> anchors, List<Object> tuple)
    Description copied from interface: `IOutputCollector`
    Returns the task ids that received the tuples.
    Specified by:
      `emit` in interface `IOutputCollector`

  - ### emitDirect

    public void emitDirect(int taskId, String streamId, Collection<Tuple> anchors, List<Object> tuple)
    Specified by:
      `emitDirect` in interface `IOutputCollector`

  - ### ack

    public void ack(Tuple input)
    Specified by:
      `ack` in interface `IOutputCollector`

  - ### fail

    public void fail(Tuple input)
    Specified by:
      `fail` in interface `IOutputCollector`

  - ### resetTimeout

    public void resetTimeout(Tuple input)
    Specified by:
      `resetTimeout` in interface `IOutputCollector`

  - ### flush

    public void flush()
    Specified by:
      `flush` in interface `IOutputCollector`

  - ### reportError

    public void reportError(Throwable error)
    Specified by:
      `reportError` in interface `IErrorReporter`